import { Constraint, Formatter, Parser, PointNdTextController, Value, ValueController, ViewProps } from '@tweakpane/core';
import { Interval } from '../model/interval';
import { RangeSliderTextView } from '../view/range-slider-text';
interface Config {
    baseStep: number;
    constraint: Constraint<number> | undefined;
    draggingScale: number;
    formatter: Formatter<number>;
    maxValue: number;
    minValue: number;
    parser: Parser<number>;
    value: Value<Interval>;
    viewProps: ViewProps;
}
export declare class RangeSliderTextController implements ValueController<Interval, RangeSliderTextView> {
    readonly value: Value<Interval>;
    readonly view: RangeSliderTextView;
    readonly viewProps: ViewProps;
    private readonly sc_;
    private readonly tc_;
    constructor(doc: Document, config: Config);
    get textController(): PointNdTextController<Interval>;
}
export {};
